package com.heyu.api.data.dao.vv;
/**
* <p>
* 订单表状态变更记录 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-16
*/

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.heyu.api.data.entity.vv.VvTradeOrderLineStatusLogEntity;
import com.lz.mybatis.plugin.annotations.IN;
import com.lz.mybatis.plugin.annotations.OrderBy;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvTradeOrderLineStatusLogDao extends BaseMapper<VvTradeOrderLineStatusLogEntity> {


	VvTradeOrderLineStatusLogEntity selectVvTradeOrderLineStatusLogById(@Param("id")Long id);


	Long insertVvTradeOrderLineStatusLog(VvTradeOrderLineStatusLogEntity vvTradeOrderLineStatusLog);


    Long insertOrUpdateVvTradeOrderLineStatusLog(VvTradeOrderLineStatusLogEntity vvTradeOrderLineStatusLog);


    int updateVvTradeOrderLineStatusLogById(VvTradeOrderLineStatusLogEntity vvTradeOrderLineStatusLog);


    int updateCoverVvTradeOrderLineStatusLogById(VvTradeOrderLineStatusLogEntity vvTradeOrderLineStatusLog);

    int deleteVvTradeOrderLineStatusLogById(@Param("id") Long id);

    @OrderBy(VvTradeOrderLineStatusLogEntity.id_)
    List<VvTradeOrderLineStatusLogEntity> selectVvTradeOrderLineStatusLogByIdList(@IN List<Long> tradeOrderLineId);
}